EMAIL campaign

This API will allow you to start a Glider campaign or batch.
After calling the API: the recipient records will be validated, a unique URL will be generated for each valid recipient and an email campaign will be sent (or scheduled for later, if specified)

This API request will return a successful response if at least one record in the CSV contains valid information.

Successful recipient records will be returned under the recipients JSON object.

Incorrect records will be listed under the errors JSON object, line and an error type will also be specified.

Successful responses will provide a batch identifier number batchId that can be used to retrieve batch status via the Report API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
Defaults to Email Campaign - Payment Request for {{account_number}}

Email Subject content (see above paragraph for more details)

html
required
Defaults to <html><body><h2>Good morning {{name}}</h2>Please click on the button below to make your payment<br/>REFERENCE NO.: {{account_number}}<br/>AMOUNT: {{amount}}<br/><a href='{{url}}' class='btn'>Pay Now</a></body></html>

Email Body content (see above paragraph for more details)

string
required

Name of the Glider Campaign (must be unique)

string

Agent ID to be stored for reporting as part of the campaign

boolean
Defaults to false

(false by default) If true, the invoices created will give the ability to the user to choose between "pay now" or a tailored payment plan

string

Payment Portal Introduction text (see above paragraph for more details)

integer
≥ 0

Invoice TTL (in seconds) from the campaign scheduled time

number
0 to 100

Annual interest rate if the campaign allows instalments, in percent (e.g.: 3.5% => 3.5)

integer

Maximum length of the term (if max term period is not defined this value is intended in years)

string
enum

Defines the period/unit of the above value planMaxTerm, values accepted: day, week, month, year

Allowed:
string

Minutes to throttle the campaign on (e.g.: 300 - the campaign reminders will be equally throttle within 5 hours)

boolean

If set to true, this flag enforces a fixed payment plan for each recipient. This means that the recipient cannot choose a custom plan—they can only accept the provided plan as-is and register their preferred payment method.

recipients
array of objects
required
recipients*
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json